(function(w){
    var jQ;
    //工厂
    function test(selector, context){
        return new test.fn.init(selector, context);
    }
    //给原型提供一个简写方式
    test.fn = test.prototype = {

    };
    //init才是jQuery中真正的构造函数
    var init = test.fn.init = function(selector, context){
        return new jQ.prototype.init(selector, context);
    };
    //把构造函数的原型，替换为jQuery工厂的原型
    //这么做的目的是为了实现jQuery的插件机制，让外界可以通过jQuery方便的进行扩展
    init.prototype = test.fn;
    // w.test = w.$ = test;
    

    window.Yui && Yui.define && (Yui.define(['jquery'],function(exports){
        jQ = Yui.$;
        exports('test', test);
    }))
}(window));